=== debian/changelog ===
usplash (0.1-22) breezy; urgency=low

  * debian/init:
    - if we end up in vt8 when usplash stop is called assume usplash
      timed out and reset the fonts and switch to vt1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  7 Oct 2005 15:10:32 +0200

usplash (0.1-21) breezy; urgency=low

  * Rapid fire uploads are FUN; fix the version compare in postinst.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 16:42:54 +1000

usplash (0.1-20) breezy; urgency=low

  * Fix a bad cut-n-paste from my earlier broken alternative fix, argh.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 16:40:18 +1000

usplash (0.1-19) breezy; urgency=low

  * Fix the broken usplash-artwork.so alternative once and for all, so old
    installations that got set to manual due to a broken link are fixed.
  * Tidy up the init script a bit more, commenting out my attempt to turn
    off the console cursor for a pure black screen (this worked, but only
    for a split-second, and then it's back while gdm is launching, so it's
    uglier than just leaving the cursor on)
  * chvt BACK to vt1 after we run console-screen.sh, so GDM picks up vt1 as
    its parent vt, and stopping GDM doesn't land you in the disabled vt8

 -- Adam Conrad <adconrad@ubuntu.com>  Sun,  2 Oct 2005 02:32:04 +1000

usplash (0.1-18) breezy; urgency=low

  * Do the clear and chvt BEFORE attempting to kill usplash, not after,
    which should clear up still more annoying text flicker.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat,  1 Oct 2005 08:02:52 +1000

usplash (0.1-17) breezy; urgency=low

  * debian/init:
    - clear tty1 before chvt (avoid flickering before gdm is started)
      (ubuntu #16622)
  * initramfs/scripts/init-top/usplash:
    - mknod tty0-tty8, tty8 is the terminal that usplash -c switches to

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2005 12:27:25 +0200

usplash (0.1-16) breezy; urgency=low

  * Add background for the progress bar
  * Work with vesafb

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 29 Sep 2005 21:38:53 +0100

usplash (0.1-15) breezy; urgency=low

  * make the usplash_quit() function more robust 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Sep 2005 15:35:15 +0200

usplash (0.1-14) breezy; urgency=low

  * Fix lack of quoting in the init script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 28 Sep 2005 17:14:16 +0100

usplash (0.1-13) breezy; urgency=low

  * Use /usr/lib, not /usr/share for the alternative in the postinst.

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 28 Sep 2005 09:16:10 -0400

usplash (0.1-12) breezy; urgency=low

  * debian/control: Add sparc to build targets.

  * initramfs/scripts/init-premount: Rename to ...
  * initramfs/scripts/init-top: ... this.
  * debian/rules: Update.

  * initramfs/scripts/init-top/usplash: Make /dev/tty0.

  * debian/dirs: Add /usr/lib/usplash

  * ubuntu.png: Rename to ...
  * usplash-artwork.png: ... this.

  * Makefile: Generate dynamically loadable artwork.
  * debian/postinst: Set alternative for artwork.
  * debian/prerm: Remove alternative for artwork.
  * usplash.c: Use the loadable artwork.

  * initramfs/hooks/usplash: Use copy_exec instead of install.
    Include artwork.

  * initramfs/modules.d/usplash: Remove empty file.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 14:03:20 -0400

usplash (0.1-11) breezy; urgency=low

  * debian/init:
    - added init script that quits usplash at the end of the boot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 15:58:20 +0200

usplash (0.1-10) breezy; urgency=low

  * Fix bogus assertions, thanks to Colin Watson

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  8 Sep 2005 02:45:41 -0700

usplash (0.1-9) breezy; urgency=low

  * Implement bogl_move for cfb, thereby porting to powerpc.
  * Draw everything in a 640x480 window in the centre of the framebuffer, no
    matter how large the framebuffer is.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Sep 2005 00:28:54 +0100

usplash (0.1-8) breezy; urgency=low

  * New artwork, change colour 0 to be black
  * Basic linewrapping support
  * Add support for setting the timeout on the fly

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu,  1 Sep 2005 17:11:48 +0100

usplash (0.1-7) breezy; urgency=low

  * When cleaning up to exit, switch back to the original VT only if we
    switched the VT *and* we're still on the VT to which we switched

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 31 Aug 2005 17:20:10 -0700

usplash (0.1-6) breezy; urgency=low

  * Remove extra #define DEBUG that broke the build

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 29 Aug 2005 21:42:36 +0100

usplash (0.1-5) breezy; urgency=low

  * Add new, exciting, beautiful artwork
  * Improve support for sending multiple commands in quick succession

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 29 Aug 2005 20:10:48 +0100

usplash (0.1-4) breezy; urgency=low

  * Support /dev migration from initramfs correctly
  * Fix text moving

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 20:05:15 +0100

usplash (0.1-3) breezy; urgency=low

  * Remove unnecessary chmod (Ubuntu #13873)
  * Include modules without autoloading them (Ubuntu #13980)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 25 Aug 2005 09:38:41 +0100

usplash (0.1-2) breezy; urgency=low

  * Change the usplash initramfs script name to avoid having a hyphen
    in an environment variable
  * Integrate with initramfs

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 10 Aug 2005 00:26:07 +0100

usplash (0.1-1) breezy; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 29 Jul 2005 19:49:19 +0100
