## usplash 0.2-4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 SONAME = libbogl.so.0
 SHARED_LIB = libbogl.so.0.1
 
-CFLAGS = -Os -g -D_GNU_SOURCE
+CFLAGS =  -g -D_GNU_SOURCE
 WARNCFLAGS += -Wall -D_GNU_SOURCE
 ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)
 
@@ -99,4 +99,4 @@
 
 install: all
 	install -m644 usplash-default.so $(DESTDIR)/usr/lib/usplash
-	install -m755 usplash usplash_write $(DESTDIR)/sbin
+	install -m755 usplash usplash_write usplash_down $(DESTDIR)/sbin
