=== debian/changelog ===
usplash (0.2-4) dapper; urgency=low

  * New artwork.
  * Don't hard-code the palette index of the scrolling text.
  * Build-depend on libgd-xpm-dev instead of the transitional libgd-dev
    package.  Ubuntu: #28918.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 18 May 2006 05:50:00 +0100

usplash (0.2-3) dapper; urgency=low

  * Stop loading framebuffer modules in our initramfs script, and instead
    prereq on the "framebuffer" script from initramfs-tools, which will
    do the heavy lifting for us.  Also, bump dependency accordingly.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 May 2006 20:11:00 +1000

usplash (0.2-2) dapper; urgency=low

  * Revert artwork to 0.1-36, Frank was asked to provide better artwork
    over the weekend but instead appears to have spent the weekend working
    on a text-less version which we already said was not going to make
    dapper.

    Don't expect this to be the last change before Dapper is released.

 -- Scott James Remnant <scott@ubuntu.com>  Sun, 14 May 2006 18:02:09 +0100

usplash (0.2-1) dapper; urgency=low

  * New artwork

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 11 May 2006 17:20:54 -0700

usplash (0.1-36) dapper; urgency=low

  * add hppa to architecture list

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 10 May 2006 15:10:14 -0600

usplash (0.1-35) dapper; urgency=low

  * Reverted previous patch.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 19 Apr 2006 10:13:57 +0100

usplash (0.1-34) dapper; urgency=low

  * When we are killed by SIGTERM, shut down gracefully, but don't switch VTs
    (workaround for Malone #34537)
    - This means that we fall back to text mode at the end of the shutdown
      sequence, rather than concealing messages (especially the casper
      prompt to press enter)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 18 Apr 2006 08:52:34 -0700

usplash (0.1-33) dapper; urgency=low

  * Build on ia64 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 20 Mar 2006 00:40:30 +0000

usplash (0.1-32) dapper; urgency=low

  * Allow PROGRESS to accept negative progress counts and paint these
    with the foreground and background swapped.

 -- Paul Sladen <ubuntu@paul.sladen.org>  Thu, 09 Mar 2006 17:29:44 +0000

usplash (0.1-31) dapper; urgency=low

  * Include a new command, /usr/sbin/usplash_down that can be called by
    display managers on shutdown/reboot to invoke usplash for shutdown.
  * Institute a hack to remove usplash's timeout in usplash_down, and
    reset it back to 15 in our init script's stop target, to avoid timing
    out when init's "Sending processes the TERM signal" takes too long.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 12:00:29 +1100

usplash (0.1-30) dapper; urgency=low

  * The initramfs state directory is moving to /dev/.initramfs, by
    popular demand, so move our FIFO and log again, and bump dep.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon,  9 Jan 2006 21:20:16 +1100

usplash (0.1-29) dapper; urgency=low

  * Move our fifo and log file to /dev/initramfs, to avoid /dev clutter.
  * Bump initramfs-tools dependency to guarantee /dev/initramfs is there.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon,  9 Jan 2006 11:33:44 +1100

usplash (0.1-28) dapper; urgency=low

  * Handle the case of the fifo filling up completely a bit better.
  * Make TIMEOUT 0 mean "no timeout"

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 05 Jan 2006 04:33:51 +0100

usplash (0.1-27) dapper; urgency=low

  * Move our right edge over to account for the SUCCESS/FAILURE move, so
    scrolling works correctly with long failure messages (Ubuntu #20911)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 13 Dec 2005 13:15:41 +1100

usplash (0.1-26) dapper; urgency=low

  * Replace artwork with a mangled version of the breezy artwork to look
    a little bit better in preparation for flight-2 defaulting to 640x400
  * Move the SUCCESS/FAILURE area to the right 30 pixels, to align better.
  * Move the text area around a bit to give us 10 useable lines.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 12 Dec 2005 17:45:44 +1100

usplash (0.1-25) dapper; urgency=low

  * Fix our calculation of top_edge in usplash.c to assume
    we're using a 640x400 console as a minimum, not 640x480.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 11 Dec 2005 00:03:01 +1100

usplash (0.1-24) dapper; urgency=low

  * Don't use more than 640x400
  * Update initramfs after install
  * Add temporary artwork

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 29 Nov 2005 16:12:29 +0000

usplash (0.1-23) dapper; urgency=low

  * Use modprobe to load modules

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 28 Nov 2005 03:31:52 +0000
