=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 3.6.1
 
 Package: usplash
-Architecture: i386 amd64 powerpc sparc
-Depends: ${shlibs:Depends}, initramfs-tools (>= 0.15)
+Architecture: i386 amd64 powerpc sparc ia64 hppa
+Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30)
 Description: Userspace bootsplash utility
  Usplash is a userspace application that uses the Linux framebuffer interface
  to draw a splash screen at boot. It has a companion utility that is able to
