=== debian/changelog ===
usplash (0.3e) unstable; urgency=low

  * Add 05-usplash_write-quiet.patch from Petter Reinholdtsen
    <pere@hungry.com>. Gets rid of error messages on splash=false boots.

 -- maximilian attems <maks@sternwelten.at>  Fri,  4 Aug 2006 10:04:59 +0200

usplash (0.3d) unstable; urgency=low

  * Add 03-bogl-no-PAGESIZE.patch to the patches/series file to really fix
    the powerpc ftbfs.
  * bogl/Makefile: Ease sarge backports, build with DEB_BUILD_ARCH in
    04-blog-dpkg-arg.patch. Thanks Petter Reinholdtsen <pere@hungry.com>.
    (closes: 380745)
  * debian/usplash.init: Workaround missing ubuntu gdm patches. Call usplash
    in init stop. Thanks Petter Reinholdtsen <pere@hungry.com>.
    (closes: 381009)

 -- maximilian attems <maks@sternwelten.at>  Wed,  2 Aug 2006 09:28:22 +0200

usplash (0.3c) unstable; urgency=low

  * debian/usplash.postinst: Readd rm_default_artwork for migration from ubuntu.
  * Add 03-bogl-no-PAGESIZE.patch. (closes: 380618)

 -- maximilian attems <maks@sternwelten.at>  Mon, 31 Jul 2006 23:56:26 +0200

usplash (0.3b) unstable; urgency=low

  * debian/copyright: Add notice about .bdf files.

 -- maximilian attems <maks@sternwelten.at>  Sun, 30 Jul 2006 21:50:42 +0200

usplash (0.3a) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Initial upload to Debian (Closes: #356193)
  * usplash_write.c: Fix typo in fifo write code, 00-ssize-typo.patch.
  * usplash.c: Improve error messages when usplash fail to start,
    01-bogl-error.patch.
  * usplash.h: Improve comment for USPLASH_FIFO, 02-header-comment.patch.
  * Make sure postrm call update-rc.d to remove the init.d script.

  [ maximilian attems ]
  * Add the Debian kernel team as Maintainer. Petter and myself as Uploaders.
  * Add versioned dependency to initramfs-tools 0.72, which adds the fb boot
    scripts.
  * Standards-Version 3.7.2.0 without needed changes.
  * debian/copyright: Add pointer to latest Ubuntu release, small rephrasing.
  * Use a Debian version string, as there is no separate archive.
  * debian/usplash.postinst: Check if update-initramfs is really installed.
    Remove old unused rm_default_artwork().
  * debian/usplash.postrm: Check if update-initramfs is really installed.
  * debian/patches: Split out Petter's changes as patches.
  * debian/rules: Add quilt handling for the patches.
  * debian/control: Add quilt build dependency.
  * .bzr, bogl/.cvsignore: Remove version control stuff in source package.
  * Add lsb-base-logging-ubuntu.sh from ubuntu lsb (3.1-10ubuntu2).
  * debian/rules: Install lsb-base-logging.sh.
  * usplash.lintian: Add lintian override for /etc/lsb-base-logging.sh,
    Debian lsb-base allows to set there the lsb functions.
  * debian/rules: Install lintian override.
  * debian/control: Provides bootsplash as discussed with otavio.

 -- maximilian attems <maks@sternwelten.at>  Sat, 29 Jul 2006 17:16:04 +0200

usplash (0.3-4) edgy; urgency=low

  * Check ENXIO not ENODEV.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 22 Jun 2006 11:33:05 +0200

usplash (0.3-3) edgy; urgency=low

  * Don't print the "No such device or address" warning if usplash is not
    running.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 21 Jun 2006 12:30:57 +0200

usplash (0.3-2) edgy; urgency=low

  * Updated test card to new "B" image, which has the following features:
    * The palette is no longer VGA so we can detect hardware that ignores
      the supplied palette
    * Palette index 0, and the general background colour, is no longer
      black so we can detect hardware that fills extra space with either
      index 0 or hardware black.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 20 Jun 2006 13:19:27 +0200

usplash (0.3-1) edgy; urgency=low
  
  * Updated bogl against the latest source, while maintaining our errant
    bogl_move branch.
  * Rearrange source tree so that bogl is in a sub-directory and not mixed
    in with the usplash code.

  * Take the opportunity to clean up the rest of the source somewhat.
  * Throw in a couple of manpages.
  
  * Build-in new default theme, the Ubuntu artwork should be shipped in an
    appropriate package.
  * Artwork .so files should now provide a usplash_theme structure listing
    all the palette indexes and interesting co-ordinates/sizes.  Largely
    based on a patch from Dennis Kaarsemaker.
  
 -- Scott James Remnant <scott@ubuntu.com>  Tue,  6 Jun 2006 13:16:23 +0100
