=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, maximilian attems <maks@sternwelten.at>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 4.0.0), quilt, libgd2-dev, libpng-dev

Package: usplash
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.71)
Provides: bootsplash
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.
