=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the usplash package.
# Copyright © 2006 Canonical Ltd.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

patch: patch-stamp
patch-stamp:
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch patch-stamp

unpatch:
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -rf .pc patch-stamp


# Build the package
build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	$(MAKE)

	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash

	# Ship initramfs hooks and scripts
	install -d $(CURDIR)/debian/usplash/usr/share/initramfs-tools
	cp -a initramfs/* $(CURDIR)/debian/usplash/usr/share/initramfs-tools 
	chmod a+x $(CURDIR)/debian/usplash/usr/share/initramfs-tools/scripts/init-top/*
	install -d $(CURDIR)/debian/usplash/etc
	install $(CURDIR)/debian/lsb/lsb-base-logging-ubuntu.sh \
		$(CURDIR)/debian/usplash/etc/lsb-base-logging.sh
	install -d $(CURDIR)/debian/usplash/usr/share/lintian/overrides
	install -m 0644 $(CURDIR)/debian/usplash.lintian \
		$(CURDIR)/debian/usplash/usr/share/lintian/overrides/usplash

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_installinit -r --no-start -- start 98 2 3 4 5 . stop 01 0 1 6 .
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean: unpatch
	dh_testdir
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean patch-stamp


.PHONY: build install binary-indep binary-arch binary clean patch-stamp unpatch
